Как остаться на кде-3,5?

Изображение пользователя null56.

У меня система debian lenny, к ней идет довольно мало обновлений, если вообще идут, даже ядро до сих пор 26.
Я перешел на веточку squeeze, но в ней уже тянется кде 4 ветки, но мне бы хотелось оставить кде 3,5.

Вопрос: есть ли официальный способ решить мою проблему, чтобы остаться на ветви squeeze, но кде оставалась 3,5, чтобы не предлагало обновлнение на 4 версию? (маскировка, альтернативные репы... хз)
Заранее благодарен за помощь

0
salt - 16 Февраль, 2010 - 23:57
Изображение пользователя salt.

Цитата из комментариев к Настройка ZoneMinder на Debian Etch/lenny. Видеонаблюдение онлайн 2009-08-07 15:44:56 | vbf
Можно сохранить текущуюю репозитарий, уставив конкретный пакет из нестабильного. Вот выдержка из APT HOWTO:
"Люди часто используют тестируемый дистрибутив, потому что он более сьабилен, чем нестабильный и более новый, чем стабильный. Однако пользователи, которые хотят работать с последними версиями некоторых пакетов, но при этом не доверяют им из-за боязни дестабилизировать всю систему, имеют возможность работать со смешанными тестируемыми/стабильными системами. Или по-другому - более консервативным пользователям возможно нужна смешанная стабильная/тестируемая система. Чтобы этого добиться, поместите следующую строку в /etc/apt/apt.conf: APT::Default-Release "testing"; Затем, при установке пакетов из нестабильного дистрибутива, просто используйте ключ -t:
apt-get -t unstable install имя_пакета Не забывайте, что для того, чтобы использовать пакеты этой версии Debian, нужно внести дополнения в файл /etc/apt/sources.list. Применительно к нашему примеру, нам нужно добавить строки источников для дистрибутива unstable после аналогичных строк для дистрибутива testing. "

0
null56 - 17 Февраль, 2010 - 01:56
Изображение пользователя null56.

ну вот что получится, допустим...
к одному из репазиториев я буду обращаться через -t, к другому без него...
большинство пакетов у меня из squeeze, одно кде из lenny...
делаю apt-get -t unstable upgrade и опять потянется кде 4....
я правильно понял идею?

0
Xenomorph - 17 Февраль, 2010 - 02:47
Изображение пользователя Xenomorph.

Попробуй зафиксировать kdelibs, по идее, всё остальное, связанное с КДЕ4 просто не будет обновлять.

0
Fatalist - 17 Февраль, 2010 - 08:33
Изображение пользователя Fatalist.

Релиз Kubuntu Kde3 Karmic
Не? Наверняка там уже всё это продумали. =)

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры